HyperTrackDocs
Places

Get place audit history

Retrieve audit history for a place showing all changes over time with pagination. Use the field_name parameter to filter history to only show changes for a specific field.

GET
/places/v1/{place_handle}/history

Retrieve audit history for a place showing all changes over time with pagination. Use the field_name parameter to filter history to only show changes for a specific field.

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

place_handle*string

Query Parameters

pagination_token?|

Identifier used to fetch the next page of data

limit?|

Maximum number of results to return

field_name?|

Filter to show only changes related to a specific field. Allowed values: place_handle, name, geofence, metadata, parkings, checkins, timings, closed_on, expected_service_time, locked_from_suggestions

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/places/v1/string/history"
{  "place_id": "f0968ed8-288a-49fe-ae98-74c720303b1b",  "place_handle": "string",  "history": [    {      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "changed_at": "string",      "changed_by": {        "source": "string",        "timestamp": "string",        "ip-address": "string",        "device_id": "string",        "driver_handle": "string",        "user_id": "string",        "email": "string"      },      "operation": "string",      "changes": {        "property1": {          "old": null,          "new": null        },        "property2": {          "old": null,          "new": null        }      }    }  ],  "pagination_token": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}